Bug 131995 - HELP: description of "criterion" is missing
Summary: HELP: description of "criterion" is missing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2020-04-09 09:52 UTC by Mike Kaganski
Modified: 2021-04-27 11:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-04-09 09:52:32 UTC
Many spreadsheet functions (e.g., SUMIF [1]) allow using "search criterion" (a special pseudotype defined in ODF [2]), which has some not obvious rules. The current help only tangentially mentions one aspect from there, namely that the text is attempted to be converted to number before being used as a regular expression.

The dedicated description of "search criterion" is needed, and added to the functions using it.

[1] https://help.libreoffice.org/6.4/en-US/text/scalc/01/04060106.html?&DbPAR=CALC#Section15

[2] http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part2.html#__RefHeading__434502_49873571
Comment 1 Xisco Faulí 2020-05-13 11:27:22 UTC
Moving to NEW
Comment 2 Commit Notification 2021-04-27 11:03:23 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/cef07a72b504a83504942eb4cf5b992e1ee46775

tdf#131995 Be precise with Criterion in Calc